> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Add workspace agent group member

POST https://{tenant}.atomicwork.com/api/v1/workspaces/{workspace_id}/agent-groups/{agent_group_id}/members
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/agent-groups/postapi-v-1-workspaces-workspace-id-agent-groups-agent-group-id-members

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/workspaces/{workspace_id}/agent-groups/{agent_group_id}/members:
    post:
      operationId: postapi-v-1-workspaces-workspace-id-agent-groups-agent-group-id-members
      summary: Add workspace agent group member
      tags:
        - subpackage_agentGroups
      parameters:
        - name: workspace_id
          in: path
          description: Workspace ID (numeric). Find yours under Settings → Workspace.
          required: true
          schema:
            type: integer
            format: int64
        - name: agent_group_id
          in: path
          description: ''
          required: true
          schema:
            type: integer
            format: int64
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Agent
                  Groups_postapi_v1_workspaces__workspace_id__agent_groups__agent_group_id__members_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  items:
                    type: string
                    format: email
                user_ids:
                  type: array
                  items:
                    type: integer
                    format: int64
                users:
                  type: array
                  items:
                    type: string
                org_roles:
                  type: array
                  items:
                    type: integer
                    format: int64
                type:
                  $ref: >-
                    #/components/schemas/ApiV1WorkspacesWorkspaceIdAgentGroupsAgentGroupIdMembersPostRequestBodyContentApplicationJsonSchemaType
                send_email:
                  type: boolean
                  default: true
                workspaces:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ApiV1WorkspacesWorkspaceIdAgentGroupsAgentGroupIdMembersPostRequestBodyContentApplicationJsonSchemaWorkspacesItems
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    ApiV1WorkspacesWorkspaceIdAgentGroupsAgentGroupIdMembersPostRequestBodyContentApplicationJsonSchemaType:
      type: string
      enum:
        - EMPLOYEE
        - EXTERNAL
        - AI_EMPLOYEE
      title: >-
        ApiV1WorkspacesWorkspaceIdAgentGroupsAgentGroupIdMembersPostRequestBodyContentApplicationJsonSchemaType
    ApiV1WorkspacesWorkspaceIdAgentGroupsAgentGroupIdMembersPostRequestBodyContentApplicationJsonSchemaWorkspacesItems:
      type: object
      properties:
        id:
          type: integer
          format: int64
        roles:
          type: array
          items:
            type: integer
            format: int64
      title: >-
        ApiV1WorkspacesWorkspaceIdAgentGroupsAgentGroupIdMembersPostRequestBodyContentApplicationJsonSchemaWorkspacesItems
    Agent Groups_postapi_v1_workspaces__workspace_id__agent_groups__agent_group_id__members_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        Agent
        Groups_postapi_v1_workspaces__workspace_id__agent_groups__agent_group_id__members_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members"

payload = {
    "emails": ["jane.doe@example.com"],
    "user_ids": [12345],
    "users": ["jdoe"],
    "org_roles": [2],
    "type": "EMPLOYEE",
    "send_email": False,
    "workspaces": [
        {
            "id": 987,
            "roles": [3]
        }
    ]
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"emails":["jane.doe@example.com"],"user_ids":[12345],"users":["jdoe"],"org_roles":[2],"type":"EMPLOYEE","send_email":false,"workspaces":[{"id":987,"roles":[3]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members"

	payload := strings.NewReader("{\n  \"emails\": [\n    \"jane.doe@example.com\"\n  ],\n  \"user_ids\": [\n    12345\n  ],\n  \"users\": [\n    \"jdoe\"\n  ],\n  \"org_roles\": [\n    2\n  ],\n  \"type\": \"EMPLOYEE\",\n  \"send_email\": false,\n  \"workspaces\": [\n    {\n      \"id\": 987,\n      \"roles\": [\n        3\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"emails\": [\n    \"jane.doe@example.com\"\n  ],\n  \"user_ids\": [\n    12345\n  ],\n  \"users\": [\n    \"jdoe\"\n  ],\n  \"org_roles\": [\n    2\n  ],\n  \"type\": \"EMPLOYEE\",\n  \"send_email\": false,\n  \"workspaces\": [\n    {\n      \"id\": 987,\n      \"roles\": [\n        3\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"emails\": [\n    \"jane.doe@example.com\"\n  ],\n  \"user_ids\": [\n    12345\n  ],\n  \"users\": [\n    \"jdoe\"\n  ],\n  \"org_roles\": [\n    2\n  ],\n  \"type\": \"EMPLOYEE\",\n  \"send_email\": false,\n  \"workspaces\": [\n    {\n      \"id\": 987,\n      \"roles\": [\n        3\n      ]\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members', [
  'body' => '{
  "emails": [
    "jane.doe@example.com"
  ],
  "user_ids": [
    12345
  ],
  "users": [
    "jdoe"
  ],
  "org_roles": [
    2
  ],
  "type": "EMPLOYEE",
  "send_email": false,
  "workspaces": [
    {
      "id": 987,
      "roles": [
        3
      ]
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"emails\": [\n    \"jane.doe@example.com\"\n  ],\n  \"user_ids\": [\n    12345\n  ],\n  \"users\": [\n    \"jdoe\"\n  ],\n  \"org_roles\": [\n    2\n  ],\n  \"type\": \"EMPLOYEE\",\n  \"send_email\": false,\n  \"workspaces\": [\n    {\n      \"id\": 987,\n      \"roles\": [\n        3\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "emails": ["jane.doe@example.com"],
  "user_ids": [12345],
  "users": ["jdoe"],
  "org_roles": [2],
  "type": "EMPLOYEE",
  "send_email": false,
  "workspaces": [
    [
      "id": 987,
      "roles": [3]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/workspaces/1/agent-groups/1/members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```